Description

GRSF records that are derived from FAO SDG14.4.1 Questionnaire are not included in groups. 

Currently, GRSF PRE (https://blue-cloud.d4science.org/group/grsf_pre/data-catalogue) contains 2 GRSF records: 

https://data.d4science.org/ctlg/GRSF_Pre/2700fc59-c308-355d-a5f2-bab5b57b41f6 that is derived from RAM and FishSource

https://data.d4science.org/ctlg/GRSF_Pre/de380ab4-294d-3338-98b2-9367d88dea89 that is derived from FAO SDG 14.4.1

Questionnaire

However if you visit the catalogue and select GRSF PRE as organization (

https://ckan-grsf-pre.d4science.org/dataset?organization=grsf_pre), the group FAO SDG 14.4.1 Questionnaire is missing from the

groups, although the groups for RAM and FishSource properly exist 

 

History

#1 - Oct 27, 2022 10:06 AM - Luca Frosini

- Tracker changed from Support to Feature

- Target version set to GRSF

#2 - Nov 04, 2022 12:20 PM - Luca Frosini

- Status changed from New to In Progress

#3 - Nov 04, 2022 12:38 PM - Luca Frosini

- Status changed from In Progress to Feedback

- % Done changed from 0 to 100

I have tested the code in GRSF_Pre in the reproduction environment and it seems properly works.

We are going to upgrade the service in all the production scopes.
As soon as the new version is available I'll advise you to test it in GRS_Pre of production environment

#4 - Nov 04, 2022 03:32 PM - Luca Frosini

@marketak@ics.forth.gr we have updated the service in GRSF_Pre in production.

https://blue-cloud.d4science.org/group/grsf_pre/data-catalogue

Feel free to submit other records to test it.

Please note that old records will not have groups until they are republished

#5 - Nov 04, 2022 03:32 PM - Luca Frosini

- Assignee changed from Luca Frosini to Yannis Marketakis

#6 - Nov 07, 2022 09:26 AM - Yannis Marketakis

- File clipboard-202211071026-tbg8d.png added

Thanks @luca.frosini@isti.cnr.it 

I just tried publishing a few SDG records in GRSF PRE and I still cannot see them added in groups.

Attached the groups view where FAO SDG 14.4.1 Questionnaire is empty.

 

#7 - Nov 07, 2022 10:21 AM - Luca Frosini

I think something fails in the upgrade because I personally tested the service in preprodoction.

I'm going to investigate
#8 - Nov 11, 2022 02:22 PM - Luca Frosini

- % Done changed from 100 to 50

Even all the configuration and the code is the same I still not find the reason why in GRSF_Pre in preproduction the records has been added properly

to the group, instead, in GRSF_Pre of production the records is not added.

Please note that the service in the first case calculates properly the list of groups, instead, in the second the service does not calculate the sdg group

as part of the list of groups to associate to the record.

We need some more time and effort to solve the issue.

I hope we can accept temporary this as a known issue which will be solved in a future release.

We have upgraded the GRSF and GRSF_Admin instances so that you can publish the new SDG records

#9 - Nov 15, 2022 10:15 AM - Luca Frosini

- Status changed from Feedback to In Progress

#10 - Nov 15, 2022 10:15 AM - Luca Frosini

- Status changed from In Progress to Paused

#11 - Nov 15, 2022 11:10 AM - Aureliano Gentile

Dear @luca.frosini@isti.cnr.it , many thanks for the effort and sorry for the trouble you encountered.

We are about to load in GRSF Admin and GRSF Public the SDG records, so your fix on the SDG grouping is awaited, whenever possible to work on

it. Otherwise it won't be possible to show/filter SDG records in the GRSF catalogue.

And thanks again for all the kind and effective support.

#12 - Feb 16, 2023 11:09 AM - Luca Frosini

- Status changed from Paused to Closed

- % Done changed from 50 to 100

I'm going to close the ticket because with @aureliano.gentile@fao.org have reviewed the records and everything seems ok
